# EVALUATION SCRIPT MSLesSeg

This directory contains a sample script for evaluating predictions. In the `test_MASK_GT` folder, you will find a ground-truth example:

```bash
test_MASK_GT
└───PX
    ├───PX_MASK.nii.gz
```
In the `test_MASK_PRED` folder, you will find a prediction example:

```bash
test_MASK_PRED
└───PX_PRED.nii.gz
```


## Usage
To run the script, follow these steps:

```bash
pip install -r requirements.txt
python evaluate.py --dir_groundtruth .\test_MASK_GT\ --dir_prediction .\test_MASK_PRED\
```

Feel free to try the script, even by changing the files inside the `test_MASK_GT` and `test_MASK_PRED` folders (using your own predictions with the training set data). Ensure that the script runs without errors and does not yield a Dice score of 0.

## IMPORTANT
During the evaluation phase, the `test_MASK_GT` folder will be replaced by the organizers with the ground-truths of test set to calculate the final DICE The script will iterate through the predictions in the `test_MASK_PRED` folder and use the corresponding ground truth within the `test_MASK_GT/PX` folder to calculate the Dice Score. It will check that the mask shape is equal to (182, 218, 182), which is the shape of the ground-truths (a necessary condition for calculating the Dice score using the ground truths). If this condition is not met, a Dice score of 0 will be assigned to the corresponding prediction.

Finally, the script will output the MEAN Dice score, which is the average Dice score calculated across all predictions. (equal to 1 in this example, since `PX_PRED.nii.gz` matches `PX_MASK.nii.gz`)

For more detailed instructions on how to submit your results, please visit the challenge website:
https://iplab.dmi.unict.it/mfs/ms-les-seg/

## SUBMISSION RESULTS
To ensure the Dice score is calculated correctly, replace the test_MASK_PRED folder with your predictions on the test set, rename the files to `PX_PRED.nii.gz`, and ensure that the script runs without errors and does not yield a Dice score of 0.